player = {}

function player.load()

    player.x = 256;
    player.y = 768;
    player.width = 512;
    player.height = 512;
    player.xVel = 0;
    player.yVel = 0;
    player.jumpVel = -1200;
	player.speed = 3000;
	player.friction = 8;
	player.state = "standing";
	player.direction = "left";
    hasJumped = false
	running = false
	
	player.animationsLoad()

end

function player.update(dt)
	player.physics(dt)
	player.move(dt)
	player.boundary(dt)
	player.animationsUpdate(dt)
end

function player.physics(dt)
	player.x = player.x + player.xVel * dt
	player.y = player.y + player.yVel * dt
	player.yVel = player.yVel + (Gravity * dt)
	player.xVel = player.xVel * (1 - math.min(dt * player.friction, 1))
end

function player.move(dt)
		if love.keyboard.isDown("left") and player.xVel > -player.speed then
			player.xVel = player.xVel - player.speed * dt
			player.direction = "left"
		end
		
		if love.keyboard.isDown("right") and player.xVel < player.speed then
			player.xVel = player.xVel + player.speed * dt
			player.direction = "right"
		end
		
		if love.keyboard.isDown(" ") and hasJumped == false then
			hasJumped = true
			player.yVel = player.jumpVel
		end
		
		if love.keyboard.isDown("q")then
			player.speed = 6000
			running = true
		else
			player.speed = 3000
			running = false
		end
		
		-- player states
		if player.yVel ~= 0 and hasJumped == true and player.yVel < 0 then
			player.state = "jumping"
			player.friction = 5
		end
		if player.yVel ~= 0 and hasJumped == true and player.yVel > 0 then
			player.state = "falling"
			player.friction = 6
		end
		if player.y + player.height > yGround then
			if player.xVel > 75  and not running and love.keyboard.isDown("right") then
            player.state = "walkingRight"
			elseif player.xVel < -75 and not running and love.keyboard.isDown("left") then
            player.state = "walkingLeft"
			elseif player.xVel > 75  and running and love.keyboard.isDown("right") then
			player.state = "runningRight"
			elseif player.xVel < -75 and running and love.keyboard.isDown("left") then
            player.state = "runningLeft"
			else
			player.state = "standing"
			end
		end
end

function player.boundary(dt)
	if player.x < 0 then
		player.x = 0
		player.xVel = 0 -- very important, should add to other collision checks
	end
	if player.y + player.height > yGround then
		player.y = yGround - player.height
		player.yVel = 0
		player.friction = 8
		hasJumped = false
	end
end

function player.draw()
	--love.graphics.setColor(0, 255, 100)
	--love.graphics.rectangle("fill", player.x, player.y, player.width, player.height)
	player.animationsDraw()

end