local Quad = love.graphics.newQuad

function player.animationsLoad()
	sprite = love.graphics.newImage "PPTwineknot2.png"
	local
	picW = 6656; picH = 1536; quadW = 512; quadH = 512;
	quads = {
		walkLeft = {
				Quad( 0,   0, quadW, quadH, picW, picH);
				Quad( 512,   0, quadW, quadH, picW, picH);
				Quad( 1024,   0, quadW, quadH, picW, picH);
				Quad( 1536,   0, quadW, quadH, picW, picH);
				Quad( 2048,   0, quadW, quadH, picW, picH);
				Quad( 2560,   0, quadW, quadH, picW, picH);
				Quad( 3072,   0, quadW, quadH, picW, picH);
				Quad( 3584,   0, quadW, quadH, picW, picH);
				Quad( 4092,   0, quadW, quadH, picW, picH);
				Quad( 4604,   0, quadW, quadH, picW, picH);
				Quad( 5116,   0, quadW, quadH, picW, picH);
				Quad( 5628,   0, quadW, quadH, picW, picH);
				Quad( 6140,   0, quadW, quadH, picW, picH);
		};
		walkRight = {
				Quad( 6140,   512, quadW, quadH, picW, picH);
				Quad( 5628,   512, quadW, quadH, picW, picH);
				Quad( 5116,   512, quadW, quadH, picW, picH);				
				Quad( 4604,   512, quadW, quadH, picW, picH);				
				Quad( 4092,   512, quadW, quadH, picW, picH);
				Quad( 3584,   512, quadW, quadH, picW, picH);
				Quad( 3072,   512, quadW, quadH, picW, picH);
				Quad( 2560,   512, quadW, quadH, picW, picH);
				Quad( 2048,   512, quadW, quadH, picW, picH);
				Quad( 1536,   512, quadW, quadH, picW, picH);
				Quad( 1024,   512, quadW, quadH, picW, picH);
				Quad( 512,   512, quadW, quadH, picW, picH);
				Quad( 0,   512, quadW, quadH, picW, picH);				
		};
		jumpLeft = {
				Quad( 0,   1024, quadW, quadH, picW, picH);
		};
		jumpRight = {
				Quad( 512,   1024, quadW, quadH, picW, picH);
		};
}
	iterator = 1
	max = 13
	timer = 0
	animate = false
	animationType = "walkLeft"
	frameTime = .09
	iteratorSkip = 2

end

function player.animationsUpdate(dt)
	if animate then -- for anything but standing
		timer = timer + dt
		if timer > frameTime then
			timer = 0
			iterator = iterator + 1
			if iterator > max then
				iterator = iteratorSkip
			end
		end
	end
	
	
	-- walking right
	if player.state == "walkingRight" then
	animationType = "walkRight"
	iteratorSkip = 2
	max = 13
	frameTime = 0.08
	animate = true
	-- walking left
	elseif player.state == "walkingLeft" then
	animationType = "walkLeft"
	iteratorSkip = 2
	max = 13
	frameTime = 0.08
	animate = true
	elseif player.state == "runningRight" then
	animationType = "walkRight"
	iteratorSkip = 2
	max = 13
	frameTime = 0.05
	animate = true
	-- walking left
	elseif player.state == "runningLeft" then
	animationType = "walkLeft"
	iteratorSkip = 2
	max = 13
	frameTime = 0.05
	animate = true
	-- standing
	else
		if player.direction == "left" then
		animationType = "walkLeft"
		animate = false
		iterator = 1
		elseif player.direction == "right" then
		animationType = "walkRight"
		animate = false
		iterator = 1
		end
	end
	--jumping left
	if player.state == "jumping" and player.direction == "left" then
	animationType = "jumpLeft"
	iterator = 1
	elseif player.state == "jumping" and player.direction == "right" then
	animationType = "jumpRight"
	iterator = 1
	end
end

function player.animationsDraw()
	love.graphics.draw(sprite, quads[animationType][iterator], player.x, player.y, 0, 1, 1)
end